use crate::action::Action;

pub mod download;
pub mod fetch;
pub mod global;
pub mod substitute_status;

pub trait Handler {
    fn handle(
        &mut self,
        state: &mut crate::state::State,
        action: &Action,
    ) -> color_eyre::Result<bool>;
    fn on_resize(&mut self, _state: &mut crate::state::State) -> color_eyre::Result<()> {
        Ok(())
    }
}
